Browse Source

Version 4.1.0

It's a bugfix version that includes the following fixes:

- `tasks.yaml` is now optional for package version "4.0.0"
- Fuel Mitaka (9.0) is supported by default in package version "4.0.0"
- Use more reliable way to check for `fpm` Ruby GEM
- Add ability for role to conflict with all roles by using `*` sign
- Do not execute `uninstall.sh` on plugin upgrade
- Add possiblity to use generators in `environment_config.yaml`
- Don't put any code to PREUN section if `uninstall.sh` doesn't exist or empty
- Allow a user to specify any arbitrary string as role name for cross-deps
- Add deployment tasks v2.1 validation support

Related-Bug: #1594949
Change-Id: I9ce3b85ab9ac9516def24c15d1cb20ab69350ce2
Igor Kalnitsky 2 years ago
parent
commit
ce8a0b3598
No account linked to committer's email address
1 changed files with 23 additions and 0 deletions
  1. 23
    0
      CHANGELOG.md

+ 23
- 0
CHANGELOG.md View File

@@ -1,5 +1,28 @@
1 1
 # Changelog
2 2
 
3
+## 4.1.0 (2016-06-29)
4
+
5
+Bugfixes:
6
+
7
+- `tasks.yaml` is now optional for package version "4.0.0"
8
+  [LP1552248](https://bugs.launchpad.net/fuel/+bug/1552248)
9
+- Fuel Mitaka (9.0) is supported by default in package version "4.0.0"
10
+  [LP1549276](https://bugs.launchpad.net/fuel/+bug/1549276)
11
+- Use more reliable way to check for `fpm` Ruby GEM
12
+  [LP1561069](https://bugs.launchpad.net/fuel/+bug/1561069)
13
+- Add ability for role to conflict with all roles by using `*` sign
14
+  [LP1547590](https://bugs.launchpad.net/fuel/+bug/1547590)
15
+- Do not execute `uninstall.sh` on plugin upgrade
16
+  [LP1564123](https://bugs.launchpad.net/fuel/+bug/1564123)
17
+- Add possiblity to use generators in `environment_config.yaml`
18
+  [LP1557562](https://bugs.launchpad.net/fuel/+bug/1557562)
19
+- Don't put any code to PREUN section if `uninstall.sh` doesn't exist or empty
20
+  [LP1574478](https://bugs.launchpad.net/fuel/+bug/1574478)
21
+- Allow a user to specify any arbitrary string as role name for cross-deps
22
+  [LP1557997](https://bugs.launchpad.net/fuel/+bug/1557997)
23
+- Add deployment tasks v2.1 validation support
24
+  [LP1590389](https://bugs.launchpad.net/fuel/+bug/1590389)
25
+
3 26
 ## 4.0.0 (2016-02-26)
4 27
 
5 28
 New package version "4.0.0" includes the following features:

Loading…
Cancel
Save